# Uses of Class
org.apache.commons.math3.genetics.Chromosome

Packages that use Chromosome
Package
Description
org.apache.commons.math3.genetics
This package provides Genetic Algorithms components and implementations.

## Uses of Chromosome in org.apache.commons.math3.genetics

Subclasses of Chromosome in org.apache.commons.math3.genetics
Modifier and Type
Class
Description
`class`
`AbstractListChromosome<T>`
Chromosome represented by an immutable list of a fixed length.
`class`
`BinaryChromosome`
Chromosome represented by a vector of 0s and 1s.
`class`
`RandomKey<T>`
Random Key chromosome is used for permutation representation.
Methods in org.apache.commons.math3.genetics that return Chromosome
Modifier and Type
Method
Description
`protected Chromosome`
Chromosome.`findSameChromosome(Population population)`
Searches the `population` for another chromosome with the same representation.
`Chromosome`
ChromosomePair.`getFirst()`
Access the first chromosome.
`Chromosome`
ListPopulation.`getFittestChromosome()`
Access the fittest chromosome in this population.
`Chromosome`
Population.`getFittestChromosome()`
Access the fittest chromosome in this population.
`Chromosome`
ChromosomePair.`getSecond()`
Access the second chromosome.
`Chromosome`
BinaryMutation.`mutate(Chromosome original)`
Mutate the given chromosome.
`Chromosome`
MutationPolicy.`mutate(Chromosome original)`
Mutate the given chromosome.
`Chromosome`
RandomKeyMutation.`mutate(Chromosome original)`
Mutate the given chromosome.
Methods in org.apache.commons.math3.genetics that return types with arguments of type Chromosome
Modifier and Type
Method
Description
`protected List<Chromosome>`
ListPopulation.`getChromosomeList()`
Access the list of chromosomes.
`List<Chromosome>`
ListPopulation.`getChromosomes()`
Returns an unmodifiable list of the chromosomes in this population.
`Iterator<Chromosome>`
ListPopulation.`iterator()`
Returns an iterator over the unmodifiable list of chromosomes.
Methods in org.apache.commons.math3.genetics with parameters of type Chromosome
Modifier and Type
Method
Description
`void`
ListPopulation.`addChromosome(Chromosome chromosome)`
Add the given chromosome to the population.
`void`
Population.`addChromosome(Chromosome chromosome)`
Add the given chromosome to the population.
`int`
Chromosome.`compareTo(Chromosome another)`
Compares two chromosomes based on their fitness.
`ChromosomePair`
CrossoverPolicy.`crossover(Chromosome first, Chromosome second)`
Perform a crossover operation on the given chromosomes.
`ChromosomePair`
CycleCrossover.`crossover(Chromosome first, Chromosome second)`
Perform a crossover operation on the given chromosomes.
`ChromosomePair`
NPointCrossover.`crossover(Chromosome first, Chromosome second)`
Performs a N-point crossover.
`ChromosomePair`
OnePointCrossover.`crossover(Chromosome first, Chromosome second)`
Performs one point crossover.
`ChromosomePair`
OrderedCrossover.`crossover(Chromosome first, Chromosome second)`
Perform a crossover operation on the given chromosomes.
`ChromosomePair`
UniformCrossover.`crossover(Chromosome first, Chromosome second)`
Perform a crossover operation on the given chromosomes.
`protected boolean`
BinaryChromosome.`isSame(Chromosome another)`
Returns `true` iff `another` has the same representation and therefore the same fitness.
`protected boolean`
Chromosome.`isSame(Chromosome another)`
Returns `true` iff `another` has the same representation and therefore the same fitness.
`protected boolean`
RandomKey.`isSame(Chromosome another)`
Returns `true` iff `another` is a RandomKey and encodes the same permutation.
`Chromosome`
BinaryMutation.`mutate(Chromosome original)`
Mutate the given chromosome.
`Chromosome`
MutationPolicy.`mutate(Chromosome original)`
Mutate the given chromosome.
`Chromosome`
RandomKeyMutation.`mutate(Chromosome original)`
Mutate the given chromosome.
Method parameters in org.apache.commons.math3.genetics with type arguments of type Chromosome
Modifier and Type
Method
Description
`void`
ListPopulation.`addChromosomes(Collection<Chromosome> chromosomeColl)`
Add a `Collection` of chromosomes to this `Population`.
`void`
ListPopulation.`setChromosomes(List<Chromosome> chromosomes)`
Deprecated.
use `ListPopulation.addChromosomes(Collection)` instead
Constructors in org.apache.commons.math3.genetics with parameters of type Chromosome
Modifier
Constructor
Description
``
`ChromosomePair(Chromosome c1, Chromosome c2)`
Create a chromosome pair.
Constructor parameters in org.apache.commons.math3.genetics with type arguments of type Chromosome
Modifier
Constructor
Description
``
`ElitisticListPopulation(List<Chromosome> chromosomes, int populationLimit, double elitismRate)`
Creates a new `ElitisticListPopulation` instance.
``
`ListPopulation(List<Chromosome> chromosomes, int populationLimit)`
Creates a new ListPopulation instance.